### Method

# AppStream Component get_timestamp_eol

since: 0.15.2

#### Declaration [src]

    guint64
    as_component_get_timestamp_eol (
      AsComponent* cpt
    )

#### Description [src]

Gets the UNIX timestamp for the date when this component is out of support (end-of-life) and will receive no more updates, not even security fixes.

Available since: 0.15.2

#### Return value

Type: `guint64`

UNIX timestamp, or 0 for unset or invalid.